89f9350d9e
- Fix dmraid issue bnc#905746 A dracut_dmraid_use_udev.patch - Taken over from SLE12 A fips_add_aesni-intel.patch - Do not touch /run vs /var/run bnc#922676 D 0106-dracut-Enable-converting-of-directory-var-run-var-lo.patch - Update dracut to version 042 Remove these already included or unneeded patches: D dracut_v041_to_HEAD.patch D 0011-Correct-paths-for-openSUSE.patch D 0068-95fcoe-uefi-Test-for-EFI-firmware.patch D 0170-enable-logitech-hidpp.patch Adjust/refresh: M 0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch M 0016-Add-new-s390x-specific-rule-files.patch M 0017-45ifcfg-use-distro-specific-scripts.patch M 0019-40network-Fix-race-condition-when-wait-for-networks.patch M 0020-00warpclock-Set-correct-timezone.patch M 0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch M 0048-40network-Only-enable-network-interfaces-if-explicit.patch M 0053-01fips-fixup-loading-issues.patch M 0056-81cio_ignore-handle-cio_ignore-commandline.patch M 0057-01fips-Include-some-more-hmacs.patch M 0058-dracut-add-warning-when-including-unsupported-module.patch M 0059-99suse-Add-SUSE-specific-initrd-parsing.patch M 0060-45ifcfg-Add-SUSE-specific-write-ifcfg-file.patch M 0061-45ifcfg-Fixup-error-message-in-write-ifcfg-suse.patch M 0066-40network-always-start-netroot-in-ifup.sh.patch M 0075-95dasd_rules-enable-parsing-of-rd.dasd-commandline-p.patch M 0076-Correctly-set-cio_ignore-for-dynamic-s390-rules.patch OBS-URL: https://build.opensuse.org/request/show/314510 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=219
53 lines
1.5 KiB
Diff
53 lines
1.5 KiB
Diff
From ad967a08bbf67171a75acc84a9ea2ffbd9461aa5 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Wed, 4 Jun 2014 12:04:10 +0200
|
|
Subject: 40network: always start netroot in ifup.sh
|
|
|
|
It's totally irrelevant how the network is configured when
|
|
trying to setup netroot. It only matters if it could be
|
|
configured at all.
|
|
So change the logic the check for correct network setup
|
|
and then start netroot.
|
|
|
|
References: bnc#881235
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/40network/ifup.sh | 22 ++++++++--------------
|
|
1 file changed, 8 insertions(+), 14 deletions(-)
|
|
|
|
Index: dracut-042/modules.d/40network/ifup.sh
|
|
===================================================================
|
|
--- dracut-042.orig/modules.d/40network/ifup.sh 2015-06-11 17:39:47.000000000 +0200
|
|
+++ dracut-042/modules.d/40network/ifup.sh 2015-06-24 18:02:05.645160455 +0200
|
|
@@ -338,21 +338,15 @@ for p in $(getargs ip=); do
|
|
esac
|
|
done
|
|
|
|
- > /tmp/net.${netif}.up
|
|
+ if [ $? -eq 0 ]; then
|
|
+ > /tmp/net.${netif}.up
|
|
|
|
- case $autoconf in
|
|
- dhcp|on|any|dhcp6)
|
|
- ;;
|
|
- *)
|
|
- if [ $? -eq 0 ]; then
|
|
- setup_net $netif
|
|
- source_hook initqueue/online $netif
|
|
- if [ -z "$manualup" ]; then
|
|
- /sbin/netroot $netif
|
|
- fi
|
|
- fi
|
|
- ;;
|
|
- esac
|
|
+ setup_net $netif
|
|
+ source_hook initqueue/online $netif
|
|
+ if [ -z "$manualup" ]; then
|
|
+ /sbin/netroot $netif
|
|
+ fi
|
|
+ fi
|
|
|
|
exit 0
|
|
done
|